---
import { db, Pic } from 'astro:db'
import Layout from '../layouts/Layout.astro';
type HTMLInputTypeAttribute = 'text' | 'email' | 'password'
const inputs = [
	{ name: 'name', type: 'text', },
	{ name: 'url', type: 'text', },
]
const pics = await db.select().from(Pic)
---

<Layout title="Pics">
	<main class="px-2 pb-2">
		<section class="sticky top-0 bg-white px-2 pb-2 pt-4">
		<header class="flex justify-center">
			<h1 class="text-xl text-orange-400 uppercase">Pics</h1>
		</header>
			<form method="post" class="flex flex-col">
				{inputs.map(({ name, type, }) => (
					<label for={name} class="flex flex-col">
						<span class="capitalize">{name}:</span>
						<input id={name} type={type as HTMLInputTypeAttribute} name={name} class="border-b-2 border-black"/>
					</label>
				))}
				<div class="flex justify-center p-4">
					<button type="submit" class="border-2 border-black rounded px-4 py-1 hover:border-orange-400">Submit</button>
				</div>
			</form>
		</section>
		<section class="p-2">
			<ul>
				{pics.map(({ name, url, }) => (
					<li class="pb-2">
						<img src={url} alt={name} class="rounded"/>
					</li>
				))}
			</ul>
		</section>
	</main>
</Layout>
